## libcedrus-dmo 0.0~git.20160229.e129e79

=== Makefile ===
TARGET = libcedrus.so.1
SRC = cedrus.c cedrus_mem_ve.c cedrus_mem_ion.c
INC = cedrus.h cedrus_regs.h
CFLAGS ?= -Wall -Wextra -O3
LDFLAGS ?=
LIBS = -lpthread
CC ?= gcc

prefix ?= /usr/local
libdir ?= $(prefix)/lib
includedir ?= $(prefix)/include

ifeq ($(USE_UMP),1)
SRC += cedrus_mem_ump.c
CFLAGS += -DUSE_UMP
LIBS += -lUMP
endif

DEP_CFLAGS = -MD -MP -MQ $@
LIB_CFLAGS = -fpic -fvisibility=hidden
LIB_LDFLAGS = -shared -Wl,-soname,$(TARGET)

OBJ = $(addsuffix .o,$(basename $(SRC)))
DEP = $(addsuffix .d,$(basename $(SRC)))

.PHONY: clean all install uninstall

all: $(TARGET)
$(TARGET): $(OBJ)
	$(CC) $(LIB_LDFLAGS) $(LDFLAGS) $(OBJ) $(LIBS) -o $@

clean:
	rm -f $(OBJ)
	rm -f $(DEP)
	rm -f $(TARGET)

install: $(TARGET) $(INC)
	install -D $(TARGET) $(DESTDIR)/$(libdir)/$(TARGET)
	ln -sf $(TARGET) $(DESTDIR)/$(libdir)/$(basename $(TARGET))
	install -D -t $(DESTDIR)/$(includedir)/cedrus/ $(INC)

uninstall:
	rm -f $(DESTDIR)/$(libdir)/$(basename $(TARGET))
	rm -f $(DESTDIR)/$(libdir)/$(TARGET)
	rm -rf $(DESTDIR)/$(includedir)/cedrus

%.o: %.c
	$(CC) $(DEP_CFLAGS) $(LIB_CFLAGS) $(CFLAGS) -c $< -o $@

include $(wildcard $(DEP))

=== debian/changelog ===
libcedrus-dmo (0.0~git.20160229.e129e79-dmo4) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Nov 2024 11:20:34 +0100

libcedrus-dmo (0.0~git.20160229.e129e79-dmo3) unstable; urgency=medium

  * Change debian source format to '3.0 (quilt)'

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Dec 2017 07:58:04 +0100

libcedrus-dmo (0.0~git.20160229.e129e79-dmo2) unstable; urgency=medium

  * Right name for -dev package should be libcedrus-dev not libcedrus1-dev

 -- Christian Marillat <marillat@free.fr>  Sun, 12 Jun 2016 14:38:36 +0000

libcedrus-dmo (0.0~git.20160229.e129e79-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@free.fr>  Sun, 12 Jun 2016 14:17:50 +0000

libcedrus (1~git.20160229.e129e79-0~xenial1.0) xenial; urgency=low

  * package up libcedrus.2016

 -- Simon Eisenmann <simon@longsleep.org>  Sun, 1 May 2016 18:04:39 +0200

=== debian/control ===
Source: libcedrus-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10), libump-dev

Package: libcedrus1
Architecture: arm64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Low-level acces to video enginge ofr Allwinner sunxi SoCs
 The Cedrus library is need for video engine access of Allwinner sunxi SOCS. 
 The vdpau sunxi driver depends on it.

Package: libcedrus-dev
Section: libdevel
Architecture: arm64 armel armhf
Depends: libcedrus1 (= ${binary:Version}), ${misc:Depends}
Conclicts: libcedrus1-dev
Replaces: libcedrus1-dev
Description: Low-level acces to video enginge ofr Allwinner sunxi SoCs (development files)
 The Cedrus library is need for video engine access of Allwinner sunxi SOCS. 
 This package is needed to build programs which link against libcedrus.
